﻿using System;

namespace ShapeAreaCalculator
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com - Shape Area Calculator");
            Console.WriteLine("Choose a shape: \n1. Circle\n2. Square\n3. Triangle");
            int choice;

            if (int.TryParse(Console.ReadLine(), out choice))
            {
                double area;

                switch (choice)
                {
                    case 1: // Circle
                        Console.Write("Enter the radius: ");
                        if (double.TryParse(Console.ReadLine(), out double radius))
                        {
                            area = Math.PI * Math.Pow(radius, 2);
                            Console.WriteLine($"The area of the circle is: {area}");
                        }
                        else
                        {
                            Console.WriteLine("Invalid input for radius. Please enter a valid number.");
                        }
                        break;

                    case 2: // Square
                        Console.Write("Enter the side length: ");
                        if (double.TryParse(Console.ReadLine(), out double sideLength))
                        {
                            area = Math.Pow(sideLength, 2);
                            Console.WriteLine($"The area of the square is: {area}");
                        }
                        else
                        {
                            Console.WriteLine("Invalid input for side length. Please enter a valid number.");
                        }
                        break;

                    case 3: // Triangle
                        Console.Write("Enter the base length: ");
                        if (double.TryParse(Console.ReadLine(), out double baseLength))
                        {
                            Console.Write("Enter the height: ");
                            if (double.TryParse(Console.ReadLine(), out double height))
                            {
                                area = 0.5 * baseLength * height;
                                Console.WriteLine($"The area of the triangle is: {area}");
                            }
                            else
                            {
                                Console.WriteLine("Invalid input for height. Please enter a valid number.");
                            }
                        }
                        else
                        {
                            Console.WriteLine("Invalid input for base length. Please enter a valid number.");
                        }
                        break;

                    default:
                        Console.WriteLine("Invalid choice. Please choose a valid shape (1-3).");
                        break;
                }
            }
            else
            {
                Console.WriteLine("Invalid input for choice. Please enter a valid number.");
            }
            Console.WriteLine("Press any key in the keyboard to close the console.");
            Console.ReadKey();
        }
    }
}